<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Course</title>
    </head>
    <body>
        <script src="bower_components/marked/marked.min.js"></script>
        <script src="bower_components/highlightjs/highlight.pack.min.js"></script>
        <script src="bower_components/jquery/dist/jquery.min.js"></script>
        <script src="bower_components/jqPlanize/jquery.planize.js"></script>
        <script src="bower_components/handlebars/handlebars.min.js"></script>
        <script src="bower_components/remark/out/remark.min.js"></script>

        <script src="lib/jquery.planize.js"></script>
        <script src="lib/remark.min.js"></script>
        <script src="lib/highlight.js/highlight.pack.js"></script>

        <script src="engine/utilities.js"></script>
        <script src="engine/enhancers/chapter-titles.js"></script>
        <script src="engine/enhancers/code-highlighting.js"></script>
        <script src="engine/enhancers/notes-wrapper.js"></script>
        <script src="engine/enhancers/images.js"></script>
        <script src="engine/enhancers/double-topic-merger.js"></script>
        <script src="engine/course.js"></script>
        <script src="engine/handouts.js"></script>
        <script src="engine/presentation.js"></script>

        <script>
            var parameters = realdolmen.getRequestParameterMapOrDefault({
                course: {type: 'string'},                           // course code to use
                theme: {type: 'string'},                            // name of theme to render with
                mode: {type: 'string', default: 'presentation'},    // presentation or handouts
                contents: {type: 'boolean', default: true},         // For mode handouts only (boolean)
                exercises: {type: 'boolean', default: true},        // For mode handouts only (boolean)
                refresh: {type: 'number', default: null}            // If present page automatically reloads after said milliseconds
            });

            if(parameters.refresh !== null) {
                setTimeout(function () {
                    location.reload();
                }, parameters.refresh);
            }

            realdolmen.course.load(parameters.course).then(function(course) {
                realdolmen.injectTheme(parameters.theme || course.theme);
                course[parameters.mode](parameters.contents, parameters.exercises);
            });
        </script>
    </body>
</html>
